<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('temp_users', function (Blueprint $table) {
            //
            $table->integer("is_mother_uae_nationality")->default(0);
            $table->integer("is_user_uae_nationality")->default(0);
            $table->integer("mother_certificate_verified ")->default(0);
        });
        Schema::table('users', function (Blueprint $table) {
            //
            $table->integer("is_mother_uae_nationality")->default(0);
            $table->integer("is_user_uae_nationality")->default(0);
            $table->integer("mother_certificate_verified ")->default(0);
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('temp_users', function (Blueprint $table) {
            //
            $table->dropColumn("is_mother_uae_nationality");
            $table->dropColumn("is_user_uae_nationality");
            $table->dropColumn("mother_certificate_verified");
        });
        Schema::table('users', function (Blueprint $table) {
            //
            $table->dropColumn("is_mother_uae_nationality");
            $table->dropColumn("is_user_uae_nationality");
            $table->dropColumn("mother_certificate_verified");
        });
    }
};
